Get coin by ID
import { ParagraphAPI } from "@paragraph-com/sdk"
const api = new ParagraphAPI()
const coin = await api.coins.get({ id: "S2AlaNG5Hw0NdNptmLTw" }).single()curl --request GET \
--url https://public.api.paragraph.com/api/v1/coins/{id}import requests
url = "https://public.api.paragraph.com/api/v1/coins/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://public.api.paragraph.com/api/v1/coins/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"contractAddress": "<string>",
"metadata": {
"name": "<string>",
"symbol": "<string>",
"decimals": 123,
"description": "<string>",
"chainId": 123,
"external_url": "<string>",
"links": [
{
"name": "<string>",
"url": "<string>"
}
],
"tags": [
"<string>"
],
"extensions": {
"coinType": "<string>",
"paragraph": {
"blogId": "<string>",
"blogUrl": "<string>",
"authorName": "<string>",
"noteId": "<string>",
"postSlug": "<string>"
}
},
"attributes": [
{
"trait_type": "<string>",
"value": "<string>"
}
],
"image": "<string>",
"logoURI": "<string>"
}
}{
"success": false,
"msg": "<string>"
}{
"success": false,
"msg": "<string>"
}coins
Get coin by ID
Retrieve information about a tokenized post using its unique ID
GET
/
v1
/
coins
/
{id}
Get coin by ID
import { ParagraphAPI } from "@paragraph-com/sdk"
const api = new ParagraphAPI()
const coin = await api.coins.get({ id: "S2AlaNG5Hw0NdNptmLTw" }).single()Path Parameters
Paragraph-internal unique identifier for the coin
⌘I

